Package org.eclipse.ecf.provider.filetransfer.events.socket

# Class AbstractSocketEvent

java.lang.Object
org.eclipse.ecf.provider.filetransfer.events.socket.AbstractSocketEvent

All Implemented Interfaces:
  `Event`, `ISocketEvent`

Direct Known Subclasses:
  `SocketClosedEvent`, `SocketConnectedEvent`, `SocketCreatedEvent`

public abstract class AbstractSocketEvent extends Object implements ISocketEvent

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractSocketEvent(ISocketEventSource source, Socket factorySocket, Socket wrappedSocket)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract String`
`getEventName()`
`Socket`
`getFactorySocket()`
`Socket`
`getSocket()`
`ISocketEventSource`
`getSource()`
`boolean`
`isSameFactorySocket(ISocketEvent event)`
`protected void`
`setSocket(Socket socket)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AbstractSocketEvent

protected AbstractSocketEvent(ISocketEventSource source, Socket factorySocket, Socket wrappedSocket)

## Method Details

### getSource

public ISocketEventSource getSource()

Specified by:
  `getSource` in interface `ISocketEvent`

### getFactorySocket

public Socket getFactorySocket()

Specified by:
  `getFactorySocket` in interface `ISocketEvent`

### isSameFactorySocket

public boolean isSameFactorySocket(ISocketEvent event)

Specified by:
  `isSameFactorySocket` in interface `ISocketEvent`

### getSocket

public Socket getSocket()

Specified by:
  `getSocket` in interface `ISocketEvent`

### setSocket

protected void setSocket(Socket socket)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getEventName

protected abstract String getEventName()